ntweisen
Mechanical
- Jul 12, 2010
- 94
I'm trying to wrtie a marco to count the number of fasteners within a single CATIA part. More specifically, I want to count the number of spot welds but I'm not sure what the best approach is. Any ideas on how to get the number of spot welds?
Here's what I have so far:
Dim partDocument As PartDocument
Dim Part As Part
Dim oSpotWeld As SpotWeld
Dim i, oSpotweldCount As Integer
Set partDocument=CATIA.ActiveDocument
Set Part = partDocument.Part
Than I assume something along the lines of spotweld.count?
Here's what I have so far:
Dim partDocument As PartDocument
Dim Part As Part
Dim oSpotWeld As SpotWeld
Dim i, oSpotweldCount As Integer
Set partDocument=CATIA.ActiveDocument
Set Part = partDocument.Part
Than I assume something along the lines of spotweld.count?